# Classes pertaining to the card deck
# Armaan Bhojwani 2021


class Card:
    """Class containing the card information."""

    def __init__(self, inp):
        self.starred = False
        self.side = 0
        self.front = ""
        self.back = ""
        if len(inp) >= 1:
            self.front = inp[0]
        if len(inp) >= 2:
            self.back = inp[1]

    def __str__(self):
        return f"{self.front}, {self.back}"

    def unStar(self):
        self.starred = False

    def star(self):
        self.starred = True

    def toggleStar(self):
        if self.starred:
            self.starred = False
        else:
            self.starred = True

    def getStar(self):
        return self.starred

    def printStar(self):
        if self.starred:
            return "★ Starred ★"
        else:
            return "Not starred"

    def setSide(self, inp):
        self.side = inp

    def getSide(self):
        return self.side

    def get(self):
        if self.side == 0:
            return self.front
        else:
            return self.back

    def getFront(self):
        return self.front

    def flip(self):
        if self.side == 0:
            self.side = 1
        else:
            self.side = 0


class Status:
    """Keeps track of where in the deck the user is"""

    def __init__(self):
        self.index = 0

    def forward(self, stack):
        if self.index != len(stack):
            self.index += 1

    def back(self):
        if not self.index < 1:
            self.index -= 1

    def setIdx(self, inp):
        self.index = inp

    def getIdx(self):
        return self.index
