---
title: lightcards
section: 1
header: General Commands Manual
footer: lightcards 0.6.0
date: February 2021
---

# NAME
lightcards - terminal flashcards from Markdown

# SYNOPSIS
lightcards \[options\] \[input file\]

# DESCRIPTION
**lightcards** is a Python program that reads data from a two column Markdown (and by extension, HTML) table in the **input file**, and displays flashcards from their contents.

# OPTIONS
## Generic Program Information
**-h**, **--help**
: Show a help message and exit

**-v**, **--version**
: Print version and exit

## Stack sorting
**-a**, **--alphabetize**
: Alphabetize card order

**-f**, **--flip**
: Show second column first

**-p**, **--purge**
: Purge cache for chosen set

**-r**, **--reverse**
: Reverse card order

**-s**, **--shuffle**
: Shuffle card order

# KEYS
**l**, **right**
: Next card

**h**, **left**
: Previous card

**j**, **k**, **up**, **down**
: Flip card

**i**, **/**
: Star card

**0**, **^**, **home**
: Go to start of deck

**$**, **end**
: Go to end of deck

**H**, **?**
: Open help screen

**e**
: Open input file in $EDITOR

**m**
: Open control menu

# INPUT FILE
Lightcards takes the first table from a valid Markdown or HTML file. Each row is a card, and the two columns are the front and back.

# EXIT STATUS
**0**
: Success

**1**
: Parse error

**2**
: Invalid option

# BUGS
https://lists.sr.ht/~armaan/public-inbox

# COPYRIGHT
Copyright 2021 Armaan Bhojwani <me@armaanb.net>, MIT License.
